## tevent 0.9.24

=== debian/changelog ===
tevent (0.9.24-1) unstable; urgency=medium

  * Fix upstream location in debian/watch.
  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * Use dpkg-buildflags.
  * Add patch revert-ldflags-atend: Reverts upstream change preventing
    use of -Wl,--as-needed.
  * Fix lib/replace paths in debian/copyright.
  * Set libtevent0-dbg to Multi-Arch: Same.
  * Don't override CFLAGS from dpkg-getbuildflags, enabling hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 25 Apr 2015 13:20:07 +0000

=== debian/control ===
Source: tevent
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>= 9),
               libaio-dev [linux-any],
               libtalloc-dev (>= 2.0.8~),
               pkg-config,
               python,
               python-all-dev (>= 2.6.6-3),
               python-talloc-dev (>= 2.0.8~)
Standards-Version: 3.9.6
Homepage: http://tevent.samba.org/
Vcs-Git: git://anonscm.debian.org/pkg-samba/tevent.git -b unstable

Package: libtevent0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: talloc-based event loop library - shared library
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the shared library file.

Package: libtevent0-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libtevent0 (= ${binary:Version}), ${misc:Depends}
Recommends: libc6-dbg, libtalloc2-dbg
Description: talloc-based event loop library - debug symbols
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the debug symbols.

Package: libtevent-dev
Section: libdevel
Architecture: any
Depends: libc6-dev,
         libtalloc-dev,
         libtevent0 (= ${binary:Version}),
         ${misc:Depends}
Description: talloc-based event loop library - development files
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CFLAGS += -g -Wall

DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $*

override_dh_auto_configure:
	CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
		   --disable-rpath --disable-rpath-install \
		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(MAKE) all

get-packaged-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	-./buildtools/bin/waf clean
	rm -f buildtools/wafsamba/*.pyc \
		buildtools/wafadmin/*.pyc \
		buildtools/wafadmin/Tools/*.pyc
	rm -rf build

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)
	ar cr libtevent.a bin/default/*.o
	cp libtevent.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	# No python for now
	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so

override_dh_strip:
	dh_strip --dbg-package=libtevent0-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## tevent 0.9.25

=== debian/changelog ===
tevent (0.9.25-0+deb8u1) jessie-security; urgency=high

  [ Andrew Bartlett ]
  * Update to stable required for Samba security release.

 -- Mathieu Parent <sathieu@debian.org>  Tue, 12 Apr 2016 07:41:40 +0200

tevent (0.9.25-2) unstable; urgency=medium

  * Merge back in packaging changes between 0.9.18 and 0.9.24.
  * Drop revert-ldflags-atend: applied upstream.
  * Force LD_LIBRARY_PATH=bin/shared to fix python tests.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Sep 2015 15:17:00 +0000

tevent (0.9.25-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * debian/copyright: Fix duplicate license names.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 03:16:10 +0000

=== debian/rules ===
--- 
+++ 
@@ -29,11 +29,17 @@
 	./debian/build-orig.sh
 
 override_dh_auto_clean:
-	-./buildtools/bin/waf clean
+	-./third_party/waf/bin/waf clean
 	rm -f buildtools/wafsamba/*.pyc \
-		buildtools/wafadmin/*.pyc \
-		buildtools/wafadmin/Tools/*.pyc
+		third_party/waf/wafadmin/*.pyc \
+		third_party/waf/wafadmin/Tools/*.pyc \
+		.lock-wscript
 	rm -rf build
+	rm -rf bin
+	rm -f libtevent.a
+
+override_dh_auto_test:
+	LD_LIBRARY_PATH=bin/shared/ $(MAKE) check
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(DESTDIR)

## tevent 0.9.26

=== wscript ===
#!/usr/bin/env python

APPNAME = 'tevent'
VERSION = '0.9.26'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = srcdir + '/..'
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist, samba_utils, Options, Logs

samba_dist.DIST_DIRS('lib/tevent:. lib/replace:lib/replace lib/talloc:lib/talloc buildtools:buildtools third_party/waf:third_party/waf')

def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('tevent', noextension='tevent')
    opt.RECURSE('lib/replace')
    opt.RECURSE('lib/talloc')
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytevent module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')
    conf.RECURSE('lib/talloc')

    conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tevent:
        if conf.CHECK_BUNDLED_SYSTEM_PKG('tevent', minversion=VERSION,
                                     onlyif='talloc', implied_deps='replace talloc'):
            conf.define('USING_SYSTEM_TEVENT', 1)
            if conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
                conf.define('USING_SYSTEM_PYTEVENT', 1)

    if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
        conf.DEFINE('HAVE_EPOLL', 1)

    tevent_num_signals = 64
    v = conf.CHECK_VALUEOF('NSIG', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('_NSIG', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('SIGRTMAX', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v)
    v = conf.CHECK_VALUEOF('SIGRTMIN', headers='signal.h')
    if v is not None:
        tevent_num_signals = max(tevent_num_signals, v*2)

    if not conf.CONFIG_SET('USING_SYSTEM_TEVENT'):
        conf.DEFINE('TEVENT_NUM_SIGNALS', tevent_num_signals)

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.find_program('python', var='PYTHON')
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytevent as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()

def build(bld):
    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/talloc')

    SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
             tevent_queue.c tevent_req.c tevent_select.c
             tevent_poll.c tevent_threads.c
             tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''

    if bld.CONFIG_SET('HAVE_EPOLL'):
        SRC += ' tevent_epoll.c'

    if bld.CONFIG_SET('HAVE_SOLARIS_PORTS'):
        SRC += ' tevent_port.c'

    if bld.env.standalone_tevent:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        private_library = False
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TEVENT'):
        bld.SAMBA_LIBRARY('tevent',
                          SRC,
                          deps='replace talloc',
                          enabled= not bld.CONFIG_SET('USING_SYSTEM_TEVENT'),
                          includes='.',
                          abi_directory='ABI',
                          abi_match='tevent_* _tevent_*',
                          vnum=VERSION,
                          public_headers='tevent.h',
                          public_headers_install=not private_library,
                          pc_files='tevent.pc',
                          private_library=private_library)

    if not bld.CONFIG_SET('USING_SYSTEM_PYTEVENT') and not bld.env.disable_python:
        for env in bld.gen_python_environments(['PKGCONFIGDIR']):
            bld.SAMBA_PYTHON('_tevent',
                            'pytevent.c',
                            deps='tevent',
                            realname='_tevent.so',
                            cflags='-DPACKAGE_VERSION=\"%s\"' % VERSION)


            bld.INSTALL_WILDCARD('${PYTHONARCHDIR}', 'tevent.py', flat=False)

        # install out various python scripts for use by make test
        bld.SAMBA_SCRIPT('tevent_python',
                         pattern='tevent.py',
                         installdir='python')


def test(ctx):
    '''test tevent'''
    print("The tevent testsuite is part of smbtorture in samba4")

    pyret = samba_utils.RUN_PYTHON_TESTS(['bindings.py'])
    sys.exit(pyret)


def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)

=== debian/changelog ===
tevent (0.9.26-3) unstable; urgency=low

  * debian/copyright: Set short names for licenses.
  * Fix Vcs-Git header.
  * debian/rules: Properly clean up bin/, .lock-wscript and libtevent.a.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Dec 2015 01:17:11 +0000

tevent (0.9.26-2) unstable; urgency=medium

  * Set LD_LIBRARY_PATH during tests. Fixes FTBFS. Closes: #805319

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 17 Nov 2015 00:57:47 +0000

tevent (0.9.26-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 21:42:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
-Uploaders: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 9),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.0.8~),
+               libtalloc-dev (>= 2.1.5~),
                pkg-config,
                python,
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.0.8~)
+               python-talloc-dev (>= 2.1.5~)
 Standards-Version: 3.9.6
 Homepage: http://tevent.samba.org/
-Vcs-Git: git://anonscm.debian.org/pkg-samba/tevent.git -b unstable
+Vcs-Git: git://git.debian.org/pkg-samba/tevent.git
 
 Package: libtevent0
 Architecture: any
@@ -34,7 +33,6 @@
 Section: debug
 Priority: extra
 Architecture: any
-Multi-Arch: same
 Depends: libtevent0 (= ${binary:Version}), ${misc:Depends}
 Recommends: libc6-dbg, libtalloc2-dbg
 Description: talloc-based event loop library - debug symbols

## tevent 0.9.28

=== lib/replace/wscript ===
#!/usr/bin/env python

APPNAME = 'libreplace'
VERSION = '1.2.1'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = srcdir + '/..'
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist
import Options, Utils

samba_dist.DIST_DIRS('lib/replace buildtools:buildtools third_party/waf:third_party/waf')

def set_options(opt):
    opt.BUILTIN_DEFAULT('NONE')
    opt.PRIVATE_EXTENSION_DEFAULT('')
    opt.RECURSE('buildtools/wafsamba')

@Utils.run_once
def configure(conf):
    conf.RECURSE('buildtools/wafsamba')

    conf.env.standalone_replace = conf.IN_LAUNCH_DIR()

    conf.DEFINE('HAVE_LIBREPLACE', 1)
    conf.DEFINE('LIBREPLACE_NETWORK_CHECKS', 1)

    conf.CHECK_HEADERS('linux/types.h crypt.h locale.h acl/libacl.h compat.h')
    conf.CHECK_HEADERS('acl/libacl.h attr/xattr.h compat.h ctype.h dustat.h')
    conf.CHECK_HEADERS('fcntl.h fnmatch.h glob.h history.h krb5.h langinfo.h')
    conf.CHECK_HEADERS('libaio.h locale.h ndir.h pwd.h')
    conf.CHECK_HEADERS('shadow.h sys/acl.h')
    conf.CHECK_HEADERS('sys/attributes.h attr/attributes.h sys/capability.h sys/dir.h sys/epoll.h')
    conf.CHECK_HEADERS('port.h')
    conf.CHECK_HEADERS('sys/fcntl.h sys/filio.h sys/filsys.h sys/fs/s5param.h sys/fs/vx/quota.h')
    conf.CHECK_HEADERS('sys/id.h sys/ioctl.h sys/ipc.h sys/mman.h sys/mode.h sys/ndir.h sys/priv.h')
    conf.CHECK_HEADERS('sys/resource.h sys/security.h sys/shm.h sys/statfs.h sys/statvfs.h sys/termio.h')
    conf.CHECK_HEADERS('sys/vfs.h sys/xattr.h termio.h termios.h sys/file.h')
    conf.CHECK_HEADERS('sys/ucontext.h sys/wait.h sys/stat.h')

    if not conf.CHECK_DECLS('malloc', headers='stdlib.h'):
        conf.CHECK_HEADERS('malloc.h')

    conf.CHECK_HEADERS('grp.h')
    conf.CHECK_HEADERS('sys/select.h setjmp.h utime.h sys/syslog.h syslog.h')
    conf.CHECK_HEADERS('stdarg.h vararg.h sys/mount.h mntent.h')
    conf.CHECK_HEADERS('stropts.h unix.h string.h strings.h sys/param.h limits.h')
    conf.CHECK_HEADERS('''sys/socket.h netinet/in.h netdb.h arpa/inet.h netinet/in_systm.h
                          netinet/ip.h netinet/tcp.h netinet/in_ip.h
                          sys/sockio.h sys/un.h''', together=True)
    conf.CHECK_HEADERS('sys/uio.h ifaddrs.h direct.h dirent.h')
    conf.CHECK_HEADERS('windows.h winsock2.h ws2tcpip.h')
    conf.CHECK_HEADERS('errno.h')
    conf.CHECK_HEADERS('getopt.h iconv.h')
    conf.CHECK_HEADERS('memory.h nss.h sasl/sasl.h')

    conf.CHECK_FUNCS_IN('inotify_init', 'inotify', checklibc=True,
                        headers='sys/inotify.h')

    conf.CHECK_HEADERS('security/pam_appl.h zlib.h asm/unistd.h')
    conf.CHECK_HEADERS('aio.h sys/unistd.h rpc/rpc.h rpc/nettype.h alloca.h float.h')

    conf.CHECK_HEADERS('rpcsvc/nis.h rpcsvc/ypclnt.h sys/sysctl.h')
    conf.CHECK_HEADERS('sys/fileio.h sys/filesys.h sys/dustat.h sys/sysmacros.h')
    conf.CHECK_HEADERS('xfs/libxfs.h netgroup.h')

    conf.CHECK_CODE('', headers='rpc/rpc.h rpcsvc/yp_prot.h', define='HAVE_RPCSVC_YP_PROT_H')

    conf.CHECK_HEADERS('valgrind.h valgrind/valgrind.h valgrind/memcheck.h')
    conf.CHECK_HEADERS('nss_common.h nsswitch.h ns_api.h')
    conf.CHECK_HEADERS('sys/extattr.h sys/ea.h sys/proplist.h sys/cdefs.h')
    conf.CHECK_HEADERS('utmp.h utmpx.h lastlog.h')
    conf.CHECK_HEADERS('syscall.h sys/syscall.h inttypes.h')
    conf.CHECK_HEADERS('sys/atomic.h')
    conf.CHECK_HEADERS('libgen.h')

    # Check for process set name support
    conf.CHECK_CODE('''
                    #include <sys/prctl.h>
                    int main(void) {
                        prctl(0);
                        return 0;
                    }
                    ''',
                    'HAVE_PRCTL',
                    headers='sys/prctl.h',
                    msg='Checking for prctl syscall')

    conf.CHECK_CODE('''
                    #include <unistd.h>
                    #ifdef HAVE_FCNTL_H
                    #include <fcntl.h>
                    #endif
                    int main(void) { int fd = open("/dev/null", O_DIRECT); }
                    ''',
                    define='HAVE_OPEN_O_DIRECT',
                    addmain=False,
                    msg='Checking for O_DIRECT flag to open(2)')

    conf.CHECK_TYPES('"long long" intptr_t uintptr_t ptrdiff_t comparison_fn_t')
    conf.CHECK_TYPE('_Bool', define='HAVE__Bool')
    conf.CHECK_TYPE('bool', define='HAVE_BOOL')

    conf.CHECK_TYPE('int8_t', 'char')
    conf.CHECK_TYPE('uint8_t', 'unsigned char')
    conf.CHECK_TYPE('int16_t', 'short')
    conf.CHECK_TYPE('uint16_t', 'unsigned short')
    conf.CHECK_TYPE('int32_t', 'int')
    conf.CHECK_TYPE('uint32_t', 'unsigned')
    conf.CHECK_TYPE('int64_t', 'long long')
    conf.CHECK_TYPE('uint64_t', 'unsigned long long')
    conf.CHECK_TYPE('size_t', 'unsigned int')
    conf.CHECK_TYPE('ssize_t', 'int')
    conf.CHECK_TYPE('ino_t', 'unsigned')
    conf.CHECK_TYPE('loff_t', 'off_t')
    conf.CHECK_TYPE('offset_t', 'loff_t')
    conf.CHECK_TYPE('volatile int', define='HAVE_VOLATILE')
    conf.CHECK_TYPE('uint_t', 'unsigned int')
    conf.CHECK_TYPE('blksize_t', 'long', headers='sys/types.h sys/stat.h unistd.h')
    conf.CHECK_TYPE('blkcnt_t', 'long', headers='sys/types.h sys/stat.h unistd.h')

    conf.CHECK_SIZEOF('bool char int "long long" long short size_t ssize_t')
    conf.CHECK_SIZEOF('int8_t uint8_t int16_t uint16_t int32_t uint32_t int64_t uint64_t')
    conf.CHECK_SIZEOF('void*', define='SIZEOF_VOID_P')
    conf.CHECK_SIZEOF('off_t dev_t ino_t time_t')

    conf.CHECK_TYPES('socklen_t', headers='sys/socket.h')
    conf.CHECK_TYPE_IN('struct ifaddrs', 'ifaddrs.h')
    conf.CHECK_TYPE_IN('struct addrinfo', 'netdb.h')
    conf.CHECK_TYPE_IN('struct sockaddr', 'sys/socket.h')
    conf.CHECK_CODE('struct sockaddr_in6 x', define='HAVE_STRUCT_SOCKADDR_IN6',
                    headers='sys/socket.h netdb.h netinet/in.h')
    conf.CHECK_TYPE_IN('struct sockaddr_storage', 'sys/socket.h')
    conf.CHECK_TYPE_IN('sa_family_t', 'sys/socket.h')

    conf.CHECK_TYPE_IN('sig_atomic_t', 'signal.h', define='HAVE_SIG_ATOMIC_T_TYPE')
    conf.CHECK_FUNCS('sigsetmask siggetmask sigprocmask sigblock sigaction sigset')

    conf.CHECK_FUNCS_IN('''inet_ntoa inet_aton inet_ntop inet_pton connect gethostbyname
                           getaddrinfo getnameinfo freeaddrinfo gai_strerror socketpair''',
                        'socket nsl', checklibc=True,
                        headers='sys/socket.h netinet/in.h arpa/inet.h netdb.h')

    # Some old Linux systems have broken header files and
    # miss the IPV6_V6ONLY define in netinet/in.h,
    # but have it in linux/in6.h.
    # We can't include both files so we just check if the value
    # if defined and do the replacement in system/network.h
    if not conf.CHECK_VARIABLE('IPV6_V6ONLY',
                               headers='sys/socket.h netdb.h netinet/in.h'):
        conf.CHECK_CODE('''
                        #include <linux/in6.h>
                        #if (IPV6_V6ONLY != 26)
                        #error no IPV6_V6ONLY support on linux
                        #endif
                        int main(void) { return IPV6_V6ONLY; }
                        ''',
                        define='HAVE_LINUX_IPV6_V6ONLY_26',
                        addmain=False,
                        msg='Checking for IPV6_V6ONLY in linux/in6.h',
                        local_include=False)

    conf.CHECK_CODE('''
                       struct sockaddr_storage sa_store;
                       struct addrinfo *ai = NULL;
                       struct in6_addr in6addr;
                       int idx = if_nametoindex("iface1");
                       int s = socket(AF_INET6, SOCK_STREAM, 0);
                       int ret = getaddrinfo(NULL, NULL, NULL, &ai);
                       if (ret != 0) {
                           const char *es = gai_strerror(ret);
                       }
                       freeaddrinfo(ai);
                       {
                          int val = 1;
                          #ifdef HAVE_LINUX_IPV6_V6ONLY_26
                          #define IPV6_V6ONLY 26
                          #endif
                          ret = setsockopt(s, IPPROTO_IPV6, IPV6_V6ONLY,
                                           (const void *)&val, sizeof(val));
                       }
                       ''',
                    define='HAVE_IPV6',
                    lib='nsl socket',
                    headers='sys/socket.h netdb.h netinet/in.h')

    if conf.CONFIG_SET('HAVE_SYS_UCONTEXT_H') and conf.CONFIG_SET('HAVE_SIGNAL_H'):
        conf.CHECK_CODE('''
                       ucontext_t uc;
                       sigaddset(&uc.uc_sigmask, SIGUSR1);
                       ''',
                       'HAVE_UCONTEXT_T',
                       msg="Checking whether we have ucontext_t",
                       headers='signal.h sys/ucontext.h')

    # Check for atomic builtins. */
    conf.CHECK_CODE('''
                    int main(void) {
                        int i;
                        (void)__sync_fetch_and_add(&i, 1);
                        return 0;
                    }
                    ''',
                    'HAVE___SYNC_FETCH_AND_ADD',
                    msg='Checking for __sync_fetch_and_add compiler builtin')

    conf.CHECK_CODE('''
                    #include <stdint.h>
                    #include <sys/atomic.h>
                    int main(void) {
                        int32_t i;
                        atomic_add_32(&i, 1);
                        return 0;
                    }
                    ''',
                    'HAVE_ATOMIC_ADD_32',
                    headers='stdint.h sys/atomic.h',
                    msg='Checking for atomic_add_32 compiler builtin')

    # these may be builtins, so we need the link=False strategy
    conf.CHECK_FUNCS('strdup memmem printf memset memcpy memmove strcpy strncpy bzero', link=False)

    # See https://bugzilla.samba.org/show_bug.cgi?id=1097
    #
    # Ported in from autoconf where it was added with this commit:
    # commit 804cfb20a067b4b687089dc72a8271b3abf20f31
    # Author: Simo Sorce <idra@samba.org>
    # Date:   Wed Aug 25 14:24:16 2004 +0000
    #     r2070: Let's try to overload srnlen and strndup for AIX where they are natly broken.

    host_os = sys.platform
    if host_os.rfind('aix') > -1:
        conf.DEFINE('BROKEN_STRNLEN', 1)
        conf.DEFINE('BROKEN_STRNDUP', 1)

    conf.CHECK_FUNCS('shl_load shl_unload shl_findsym')
    conf.CHECK_FUNCS('pipe strftime srandom random srand rand usleep setbuffer')
    conf.CHECK_FUNCS('lstat getpgrp utime utimes setuid seteuid setreuid setresuid setgid setegid')
    conf.CHECK_FUNCS('setregid setresgid chroot strerror vsyslog setlinebuf mktime')
    conf.CHECK_FUNCS('ftruncate chsize rename waitpid wait4')
    conf.CHECK_FUNCS('initgroups pread pwrite strndup strcasestr strsep')
    conf.CHECK_FUNCS('strtok_r mkdtemp dup2 dprintf vdprintf isatty chown lchown')
    conf.CHECK_FUNCS('link readlink symlink realpath snprintf vsnprintf')
    conf.CHECK_FUNCS('asprintf vasprintf setenv unsetenv strnlen strtoull __strtoull')
    conf.CHECK_FUNCS('strtouq strtoll __strtoll strtoq memalign posix_memalign')

    if conf.CONFIG_SET('HAVE_MEMALIGN'):
        conf.CHECK_DECLS('memalign', headers='malloc.h')

    conf.CHECK_FUNCS('prctl dirname basename')

    # libbsd on some platforms provides strlcpy and strlcat
    if not conf.CHECK_FUNCS('strlcpy strlcat'):
        conf.CHECK_FUNCS_IN('strlcpy strlcat', 'bsd', headers='bsd/string.h',
                checklibc=True)
    if not conf.CHECK_FUNCS('getpeereid'):
        conf.CHECK_FUNCS_IN('getpeereid', 'bsd', headers='sys/types.h bsd/unistd.h')
    if not conf.CHECK_FUNCS_IN('setproctitle', 'setproctitle', headers='setproctitle.h'):

=== debian/changelog ===
tevent (0.9.28-0ubuntu0.16.04.1) xenial-security; urgency=medium

  * Updated to upstream 0.9.28 as required by Samba security update.
    - debian/patches/01_fix_ld_library_path: dropped, upstream.
    - debian/libtevent0.symbols: updated for new version.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 03 May 2016 08:09:57 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tevent
 Section: devel
 Priority: optional
-Maintainer: Jelmer Vernooij <jelmer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 9),
                libaio-dev [linux-any],
                libtalloc-dev (>= 2.1.5~),

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $*

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
		   --disable-rpath --disable-rpath-install \
		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(MAKE) all

get-packaged-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	-./buildtools/bin/waf clean
	rm -f buildtools/wafsamba/*.pyc \
		third_party/waf/wafadmin/*.pyc \
		third_party/waf/wafadmin/Tools/*.pyc
	rm -rf bin
	rm -f .lock-wscript libtevent.a

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)
	ar cr libtevent.a bin/default/*.o
	cp libtevent.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	# No python for now
	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so

override_dh_strip:
	dh_strip --dbg-package=libtevent0-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/watch ===
version=3
http://download.samba.org/pub/tevent/ tevent-(.+).tar.gz

## tevent 0.9.31

=== debian/changelog ===
tevent (0.9.31-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Change maintainer to Debian Samba package maintainers.

  [ Mathieu Parent ]
  * New upstream version.
    - Update symbols
    - Bumping talloc Buid-Depends to 2.1.8
  * Add me to uploaders
  * Use secure Vcs-* uris
  * Use automatic debug packages (-dbgsym)
  * Use https homepage for tevent
  * Mark libtevent-dev Multi-Arch: same
  * Fix libreplace path in debian/copyright
  * Bump standards version to 3.9.8 (no changes)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 09 Oct 2016 20:47:15 +0200

tevent (0.9.28-1) unstable; urgency=medium

  * New upstream version.
  * Drop upstreamed patch 01_fix_ld_library_path.
  * Update Vcs-Git URL to use new host name (anonscm.debian.org).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Dec 2015 01:15:17 +0000

=== debian/control ===
Source: tevent
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
Build-Depends: debhelper (>= 9),
               libaio-dev [linux-any],
               libtalloc-dev (>= 2.1.8~),
               pkg-config,
               python,
               python-all-dev (>= 2.6.6-3),
               python-talloc-dev (>= 2.1.8~)
Standards-Version: 3.9.8
Homepage: https://tevent.samba.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-samba/tevent.git
Vcs-Git: https://anonscm.debian.org/git/pkg-samba/tevent.git

Package: libtevent0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: talloc-based event loop library - shared library
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the shared library file.

Package: libtevent-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libtalloc-dev,
         libtevent0 (= ${binary:Version}),
         ${misc:Depends}
Description: talloc-based event loop library - development files
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the development files.

## tevent 0.9.34

=== wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 APPNAME = 'tevent'
-VERSION = '0.9.26'
+VERSION = '0.9.34'
 
 blddir = 'bin'
 
@@ -22,10 +22,6 @@
     opt.PRIVATE_EXTENSION_DEFAULT('tevent', noextension='tevent')
     opt.RECURSE('lib/replace')
     opt.RECURSE('lib/talloc')
-    if opt.IN_LAUNCH_DIR():
-        opt.add_option('--disable-python',
-                       help=("disable the pytevent module"),
-                       action="store_true", dest='disable_python', default=False)
 
 
 def configure(conf):
@@ -38,7 +34,8 @@
         if conf.CHECK_BUNDLED_SYSTEM_PKG('tevent', minversion=VERSION,
                                      onlyif='talloc', implied_deps='replace talloc'):
             conf.define('USING_SYSTEM_TEVENT', 1)
-            if conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
+            if not conf.env.disable_python and \
+                conf.CHECK_BUNDLED_SYSTEM_PYTHON('pytevent', 'tevent', minversion=VERSION):
                 conf.define('USING_SYSTEM_PYTEVENT', 1)
 
     if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
@@ -61,8 +58,6 @@
     if not conf.CONFIG_SET('USING_SYSTEM_TEVENT'):
         conf.DEFINE('TEVENT_NUM_SIGNALS', tevent_num_signals)
 
-    conf.env.disable_python = getattr(Options.options, 'disable_python', False)
-
     if not conf.env.disable_python:
         # also disable if we don't have the python libs installed
         conf.find_program('python', var='PYTHON')
@@ -82,7 +77,7 @@
     bld.RECURSE('lib/talloc')
 
     SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
-             tevent_queue.c tevent_req.c tevent_select.c
+             tevent_queue.c tevent_req.c
              tevent_poll.c tevent_threads.c
              tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''
 
@@ -99,15 +94,19 @@
         private_library = True
 
     if not bld.CONFIG_SET('USING_SYSTEM_TEVENT'):
+        tevent_deps = 'replace talloc'
+        if bld.CONFIG_SET('HAVE_PTHREAD'):
+            tevent_deps += ' pthread'
+
         bld.SAMBA_LIBRARY('tevent',
                           SRC,
-                          deps='replace talloc',
+                          deps=tevent_deps,
                           enabled= not bld.CONFIG_SET('USING_SYSTEM_TEVENT'),
                           includes='.',
                           abi_directory='ABI',
                           abi_match='tevent_* _tevent_*',
                           vnum=VERSION,
-                          public_headers='tevent.h',
+                          public_headers=('' if private_library else 'tevent.h'),
                           public_headers_install=not private_library,
                           pc_files='tevent.pc',
                           private_library=private_library)
@@ -133,6 +132,9 @@
     '''test tevent'''
     print("The tevent testsuite is part of smbtorture in samba4")
 
+    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared')
+    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared/private')
+
     pyret = samba_utils.RUN_PYTHON_TESTS(['bindings.py'])
     sys.exit(pyret)

=== lib/replace/wscript ===
--- 
+++ 
@@ -80,6 +80,9 @@
     conf.CHECK_HEADERS('syscall.h sys/syscall.h inttypes.h')
     conf.CHECK_HEADERS('sys/atomic.h')
     conf.CHECK_HEADERS('libgen.h')
+
+    if conf.CHECK_CFLAGS('-Wno-format-truncation'):
+        conf.define('HAVE_WNO_FORMAT_TRUNCATION', '1')
 
     # Check for process set name support
     conf.CHECK_CODE('''
@@ -189,7 +192,7 @@
                        ''',
                     define='HAVE_IPV6',
                     lib='nsl socket',
-                    headers='sys/socket.h netdb.h netinet/in.h')
+                    headers='sys/socket.h netdb.h netinet/in.h net/if.h')
 
     if conf.CONFIG_SET('HAVE_SYS_UCONTEXT_H') and conf.CONFIG_SET('HAVE_SIGNAL_H'):
         conf.CHECK_CODE('''
@@ -202,23 +205,15 @@
 
     # Check for atomic builtins. */
     conf.CHECK_CODE('''
-                    int main(void) {
-                        int i;
-                        (void)__sync_fetch_and_add(&i, 1);
-                        return 0;
-                    }
+                    int i;
+                    (void)__sync_fetch_and_add(&i, 1);
                     ''',
                     'HAVE___SYNC_FETCH_AND_ADD',
                     msg='Checking for __sync_fetch_and_add compiler builtin')
 
     conf.CHECK_CODE('''
-                    #include <stdint.h>
-                    #include <sys/atomic.h>
-                    int main(void) {
-                        int32_t i;
-                        atomic_add_32(&i, 1);
-                        return 0;
-                    }
+                    int32_t i;
+                    atomic_add_32(&i, 1);
                     ''',
                     'HAVE_ATOMIC_ADD_32',
                     headers='stdint.h sys/atomic.h',
@@ -254,12 +249,22 @@
     if conf.CONFIG_SET('HAVE_MEMALIGN'):
         conf.CHECK_DECLS('memalign', headers='malloc.h')
 
+    # glibc up to 2.3.6 had dangerously broken posix_fallocate(). DON'T USE IT.
+    if conf.CHECK_CODE('''
+#define _XOPEN_SOURCE 600
+#include <stdlib.h>
+#if defined(__GLIBC__) && ((__GLIBC__ < 2) || (__GLIBC__ == 2 && __GLIBC_MINOR__ < 4))
+#error probably broken posix_fallocate
+#endif
+''',
+                       '_POSIX_FALLOCATE_CAPABLE_LIBC',
+                       msg='Checking for posix_fallocate-capable libc'):
+        conf.CHECK_FUNCS('posix_fallocate')
+
     conf.CHECK_FUNCS('prctl dirname basename')
+
+    strlcpy_in_bsd = False
 
     # libbsd on some platforms provides strlcpy and strlcat
     if not conf.CHECK_FUNCS('strlcpy strlcat'):
-        conf.CHECK_FUNCS_IN('strlcpy strlcat', 'bsd', headers='bsd/string.h',
-                checklibc=True)
-    if not conf.CHECK_FUNCS('getpeereid'):
-        conf.CHECK_FUNCS_IN('getpeereid', 'bsd', headers='sys/types.h bsd/unistd.h')
-    if not conf.CHECK_FUNCS_IN('setproctitle', 'setproctitle', headers='setproctitle.h'):
+        if conf.CHECK_FUNCS_IN('strlcpy strlcat', 'bsd', headers='bsd/string.h',

=== lib/talloc/wscript ===
#!/usr/bin/env python

APPNAME = 'talloc'
VERSION = '2.1.10'


blddir = 'bin'

import Logs
import os, sys

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = srcdir + '/..'
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import sys
sys.path.insert(0, srcdir+"/buildtools/wafsamba")
import wafsamba, samba_dist, Options

# setup what directories to put in a tarball
samba_dist.DIST_DIRS("""lib/talloc:. lib/replace:lib/replace
buildtools:buildtools third_party/waf:third_party/waf""")


def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('talloc', noextension='talloc')
    opt.RECURSE('lib/replace')
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--enable-talloc-compat1',
                       help=("Build talloc 1.x.x compat library [False]"),
                       action="store_true", dest='TALLOC_COMPAT1', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')

    conf.env.standalone_talloc = conf.IN_LAUNCH_DIR()

    conf.define('TALLOC_BUILD_VERSION_MAJOR', int(VERSION.split('.')[0]))
    conf.define('TALLOC_BUILD_VERSION_MINOR', int(VERSION.split('.')[1]))
    conf.define('TALLOC_BUILD_VERSION_RELEASE', int(VERSION.split('.')[2]))

    conf.env.TALLOC_COMPAT1 = False
    if conf.env.standalone_talloc:
        conf.env.TALLOC_COMPAT1 = Options.options.TALLOC_COMPAT1
        conf.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        conf.env.TALLOC_VERSION = VERSION

    conf.CHECK_XSLTPROC_MANPAGES()

    conf.CHECK_HEADERS('sys/auxv.h')
    conf.CHECK_FUNCS('getauxval')

    conf.SAMBA_CONFIG_H()

    conf.SAMBA_CHECK_UNDEFINED_SYMBOL_FLAGS()

    # We need to set everything non-python up before here, because
    # SAMBA_CHECK_PYTHON makes a copy of conf and we need it set up correctly

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.SAMBA_CHECK_PYTHON(mandatory=False, version=(2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytalloc-util as python devel libs not found')
            conf.env.disable_python = True

    if not conf.env.standalone_talloc:
        if conf.CHECK_BUNDLED_SYSTEM_PKG('talloc', minversion=VERSION,
                                     implied_deps='replace'):
            conf.define('USING_SYSTEM_TALLOC', 1)

        if conf.env.disable_python:
            using_system_pytalloc_util = False
        else:
            using_system_pytalloc_util = True
            if not conf.CHECK_BUNDLED_SYSTEM_PKG('pytalloc-util', minversion=VERSION,
                                                 implied_deps='talloc replace'):
                using_system_pytalloc_util = False

            # We need to get a pytalloc-util for all the python versions
            # we are building for
            if conf.env['EXTRA_PYTHON']:
                name = 'pytalloc-util' + conf.all_envs['extrapython']['PYTHON_SO_ABI_FLAG']
                if not conf.CHECK_BUNDLED_SYSTEM_PKG(name, minversion=VERSION,
                                                     implied_deps='talloc replace'):
                    using_system_pytalloc_util = False

        if using_system_pytalloc_util:
            conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)


def build(bld):
    bld.RECURSE('lib/replace')

    if bld.env.standalone_talloc:
        private_library = False

        # should we also install the symlink to libtalloc1.so here?
        bld.SAMBA_LIBRARY('talloc-compat1-%s' % (VERSION),
                          'compat/talloc_compat1.c',
                          public_deps='talloc',
                          soname='libtalloc.so.1',
                          pc_files=[],
                          public_headers=[],
                          enabled=bld.env.TALLOC_COMPAT1)

        testsuite_deps = 'talloc'
        if bld.CONFIG_SET('HAVE_PTHREAD'):
            testsuite_deps += ' pthread'

        bld.SAMBA_BINARY('talloc_testsuite',
                         'testsuite_main.c testsuite.c',
                         testsuite_deps,
                         install=False)

        bld.SAMBA_BINARY('talloc_test_magic_differs_helper',
                         'test_magic_differs_helper.c',
                         'talloc', install=False)

    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TALLOC'):

        bld.SAMBA_LIBRARY('talloc',
                          'talloc.c',
                          deps='replace',
                          abi_directory='ABI',
                          abi_match='talloc* _talloc*',
                          hide_symbols=True,
                          vnum=VERSION,
                          public_headers=('' if private_library else 'talloc.h'),
                          pc_files='talloc.pc',
                          public_headers_install=not private_library,
                          private_library=private_library,
                          manpages='man/talloc.3')

    if not bld.CONFIG_SET('USING_SYSTEM_PYTALLOC_UTIL'):
        for env in bld.gen_python_environments(['PKGCONFIGDIR']):
            name = bld.pyembed_libname('pytalloc-util')

            bld.SAMBA_LIBRARY(name,
                source='pytalloc_util.c',
                public_deps='talloc',
                pyembed=True,
                vnum=VERSION,
                hide_symbols=True,
                abi_directory='ABI',
                abi_match='pytalloc_* _pytalloc_*',
                private_library=private_library,
                public_headers=('' if private_library else 'pytalloc.h'),
                pc_files='pytalloc-util.pc',
                enabled=bld.PYTHON_BUILD_IS_ENABLED()
                )
            bld.SAMBA_PYTHON('pytalloc',
                            'pytalloc.c',
                            deps='talloc ' + name,
                            enabled=bld.PYTHON_BUILD_IS_ENABLED(),
                            realname='talloc.so')

            bld.SAMBA_PYTHON('test_pytalloc',
                            'test_pytalloc.c',
                            deps='pytalloc',
                            enabled=bld.PYTHON_BUILD_IS_ENABLED(),
                            realname='_test_pytalloc.so',
                            install=False)


def test(ctx):
    '''run talloc testsuite'''
    import Utils, samba_utils

    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared')
    samba_utils.ADD_LD_LIBRARY_PATH('bin/shared/private')

    cmd = os.path.join(Utils.g_module.blddir, 'talloc_testsuite')
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    magic_helper_cmd = os.path.join(Utils.g_module.blddir, 'talloc_test_magic_differs_helper')
    magic_cmd = os.path.join(srcdir, 'lib', 'talloc',
                             'test_magic_differs.sh')
    if not os.path.exists(magic_cmd):
        magic_cmd = os.path.join(srcdir, 'test_magic_differs.sh')

    magic_ret = samba_utils.RUN_COMMAND(magic_cmd + " " +  magic_helper_cmd)
    print("magic differs test returned %d" % magic_ret)
    pyret = samba_utils.RUN_PYTHON_TESTS(['test_pytalloc.py'])
    print("python testsuite returned %d" % pyret)
    sys.exit(ret or magic_ret or pyret)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)


def pydoctor(ctx):
    '''build python apidocs'''
    cmd='PYTHONPATH=bin/python pydoctor --project-name=talloc --project-url=http://talloc.samba.org/ --make-html --docformat=restructuredtext --introspect-c-modules --add-module bin/python/talloc.*'
    print("Running: %s" % cmd)
    os.system(cmd)

=== debian/changelog ===
tevent (0.9.34-1) unstable; urgency=high

  * New upstream version 0.9.34
    - Update symbols (no changes)
    - fix upstream "BUG 13130: smbd on disk file corruption bug under heavy
      threaded load"
    - Set urgency to high for this fix
  * Standards-Version: 4.1.1, no change

 -- Mathieu Parent <sathieu@debian.org>  Thu, 23 Nov 2017 11:04:22 +0100

tevent (0.9.33-2) unstable; urgency=medium

  * Upload to sid

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 10:27:36 +0200

tevent (0.9.33-1) experimental; urgency=medium

  * New upstream version 0.9.33
    - Update symbols (no changes)
    - Bump build-depend on talloc to 2.1.10
  * Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Standards-Version: 4.0.0

 -- Mathieu Parent <sathieu@debian.org>  Mon, 02 Oct 2017 10:26:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
 Build-Depends: debhelper (>= 9),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.1.8~),
+               libtalloc-dev (>= 2.1.10~),
                pkg-config,
                python,
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.8~)
-Standards-Version: 3.9.8
+               python-talloc-dev (>= 2.1.10~)
+Standards-Version: 4.1.1
 Homepage: https://tevent.samba.org/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-samba/tevent.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-samba/tevent.git

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so
 
 override_dh_strip:
-	dh_strip --dbg-package=libtevent0-dbg
+	dh_strip --dbgsym-migration='libtevent0-dbg (<< 0.9.31-1~)'
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4

## tevent 0.9.36

=== debian/changelog ===
tevent (0.9.36-2) unstable; urgency=low

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 15:42:59 +0200

tevent (0.9.36-1) experimental; urgency=medium

  * New upstream version 0.9.36
    - Bump build-depend on talloc to 2.1.11
    - Update symbols
  * Upload to experimental
  * Repository moved to salsa: Update Vcs-* fields
  * gbp.conf: Enable sign-tags and pristine-tar
  * Fix global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Move to debhelper 11, no expected change
  * Standards-Version: 4.1.3, no change

 -- Mathieu Parent <sathieu@debian.org>  Sun, 11 Mar 2018 21:06:02 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>, Mathieu Parent <sathieu@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                libaio-dev [linux-any],
-               libtalloc-dev (>= 2.1.10~),
+               libtalloc-dev (>= 2.1.11~),
                pkg-config,
                python,
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.1.10~)
-Standards-Version: 4.1.1
+               python-talloc-dev (>= 2.1.11~)
+Standards-Version: 4.1.3
 Homepage: https://tevent.samba.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-samba/tevent.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-samba/tevent.git
+Vcs-Browser: https://salsa.debian.org/samba-team/tevent
+Vcs-Git: https://salsa.debian.org/samba-team/tevent.git
 
 Package: libtevent0
 Architecture: any
